Subject: FvwmWinList geometry failure

From: [email-masked]
Date: Thu, 14 Oct 1999 15:51:19 -0500 (CDT)

Full_Name: Nadim Saeed
Version: fvwm-snap-19991013
CVS_Date: 
OS: SunOS 5.5.1 Generic_103640-17 sun4u sparc SUNW,Ultra-2
X_Server: exceed 6.1.0.0
Submission from: (NULL) (207.137.158.177)

I think there is a geometry calculation bug within FvwmWinList.  I've
also,
after multiple hours of trial and error, have a sure-fire way of making
WinList fail.

Here are the relevant parts of my .fvwm2rc file:

###
# FvwmWinList
#
*FvwmWinListBack Gray59
*FvwmWinListFore Yellow
*FvwmWinListGeometry +0+0
*FvwmWinListFont -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
*FvwmWinListAction Click1 Iconify -1, Raise, Focus, WarpToWindow 50 50
*FvwmWinListAction Click2 Iconify
*FvwmWinListAction Click3 Iconify -1, move
*FvwmWinListUseSkipList
*FvwmWinListFocusFore Aquamarine
*FvwmWinListDontDepressFocus

Here's how to make WinList fail:
 1. Make sure you are in Desk-0, Page-0
 2. start winlist
 3. start an xterm
 4. go to any other page within the same Desk
 5. press mourebutton-3 on the xterm button in winlist
 6. place the xterm anywhere on that page
 4. repeat step 4-6; at least four-eight times
 5. FvwmWinList will crash (fvwm does not note any error messages !!)

The reason I think there is a geometry problem can be clearly demonstrated
if one were to inject an "iconify the xterm" between step-3 and step-4
above.  After pressing mouse-button-3 note the feedback windows numbers
(something along the lines "-328 +608388")

After the crash, if I were to restart FvwmWinList I get even stranger
behavior (which leads me to believe that the crashed WinList kept some
state that the newly created WinList latched onto).  Alas make sure to
start a _new_ fvwm on each try (not restart).

I've also noticed instances in which if I were to de-iconify an xterm, it
would deiconify on the wrong page with a placement geometry of +0+0 _AND_
it would not show-up on the FvwmPager unless I change pages (I'll try to
recreate this failure later).

 - Nadim (please cc replies)

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]